> ## Documentation Index
> Fetch the complete documentation index at: https://docs.eventgraph.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Volume Distribution

> Histogram showing how many markets fall into each volume bucket (Pro tier)



## OpenAPI

````yaml GET /api/v1/analytics/volume-distribution
openapi: 3.0.3
info:
  title: EventGraph API
  description: >-
    Unified prediction market data across Polymarket, Kalshi, Limitless, and
    OpinionTrade.
  version: 1.0.0
  contact:
    name: EventGraph
    url: https://eventgraph.ai
    email: info@eventgraph.ai
servers:
  - url: https://app.eventgraph.ai
    description: Production
security:
  - ApiKeyAuth: []
paths:
  /api/v1/analytics/volume-distribution:
    get:
      tags:
        - Analytics
      summary: Volume Distribution
      description: Histogram showing how many markets fall into each volume bucket.
      operationId: getVolumeDistribution
      parameters: []
      responses:
        '200':
          description: Volume histogram
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Envelope'
        '401':
          description: Invalid or missing API key
        '403':
          description: Endpoint not available on your tier
components:
  schemas:
    Envelope:
      type: object
      properties:
        data:
          description: Response payload
        timestamp:
          type: string
          format: date-time
        meta:
          type: object
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: Your EventGraph API key (eg_live_...)

````